<template>
  <v-tooltip bottom>
    <template #activator="{ on }">
      <v-btn
        icon
        :aria-label="text"
        :class="btnClass"
        :small="smallBtn"
        class="mx-1"
        v-bind="$attrs"
        v-on="on"
        @click="$emit('click')"
      >
        <v-icon :small="small">{{ icon }}</v-icon>
      </v-btn>
    </template>
    <span>{{ text }}</span>
  </v-tooltip>
</template>

<script>
export default {
  name: "GIconBtn",
  props: {
    i18n: String,
    label: String,
    icon: String,
    btnClass: String,
    small: Boolean,
    smallBtn: Boolean,
  },
  computed: {
    text() {
      return this.i18n ? this.$t(this.i18n) : this.label;
    },
  },
};
</script>
